EDIT - task #9189

Move datasource view to taxeditor.local
08/13/2020 04:29 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

As the datasource view is only needed for local mgd. it can be moved to taxeditor.webapp

This way maybe the datasource dependencies can be used from taxeditor.webapp too and can be removed in taxeditor.cdmlib.

Also when handling taxeditor.webapp as loadable plugin these dependencies are not needed at all anymore.

This also includes the dialogues opened within the datasource view
Problems need to be solved:

after moving all datasource/managed server related classes results
classes.

in problems concerning the login dialog because it uses these

Therefore we need another login dialog containing the managed server in webapp which is used when the webapp plugin is loaded.

Related issues:

Related to EDIT - feature request #5752: Reduce TaxEditor size Closed
Related to EDIT - feature request #9154: Further reduce TaxEditor size by cle... New
Related to EDIT - task #9119: Remove schema create and schema update function... Closed
Related to EDIT - feature request #9190: Make taxeditor.local a loadable plug... In Progress
Related to EDIT - feature request #9204: Update cdmlib and taxeditor dependen... Closed

Associated revisions

Revision 192243b3 - 09/17/2020 01:32 PM - Katja Luther

ref #9189: move datasource to webapp

Revision 8dde8e84 - 09/18/2020 09:29 AM - Katja Luther

ref #9189: move datasource to webapp - continue

Revision b33b7¢33 - 09/18/2020 09:37 AM - Katja Luther

ref #9189: move datasource to webapp - adapt manifest files

Revision 500c500e - 09/18/2020 10:01 AM - Katja Luther

ref #9189: move datasource to webapp - adapt manifest files

Revision 5c44e322 - 12/01/2020 01:30 PM - Katja Luther

ref #9189: harmonize 110n files

Revision 73192ab3 - 12/01/2020 02:26 PM - Andreas Miiller

ref #9204 remove some cdmlib-dbs from git and upgrade postgresqgl version

Revision 8a79d625 - 12/01/2020 02:28 PM - Andreas Miiller
ref #9204 add jtds and mssql-jdbc-8.4.1.jre8 to gitignore

Revision 47d8963b - 12/01/2020 03:16 PM - Andreas Miuller
ref #9204 remove postgresgl and mysqgl connector from taxeditor.cdmlib pom

Revision 4e6b7379 - 12/01/2020 03:21 PM - Andreas Miiller

ref #9204 remove postgresqgl and mysqgl connector from taxeditor.cdmlib pom (cont.)

Revision 99996219 - 12/01/2020 03:46 PM - Andreas Miiller
ref #9204 remove H2, postgresql and mysq|l fully from taxeditor.cdmlib

Revision 9306fdac - 12/02/2020 12:07 PM - Andreas Miiller

ref #4866, ref #9228 preliminary revert moving h2, postgresgl and mysgl from cdmlib to local and include mchange-commons-java in cdmlib

Revision ca0e1f12 - 12/02/2020 12:28 PM - Andreas Miiller
ref #4866, ref #9228 fix postgresql version number and add to gitignore

Revision e796e4aa - 12/02/2020 02:46 PM - Katja Luther

ref #9189: move new menu item to the top

History

#1 - 08/13/2020 04:29 PM - Andreas Miiller
- Related to feature request #5752: Reduce TaxEditor size added

#2 - 08/13/2020 04:29 PM - Andreas Miiller

- Related to feature request #9154: Further reduce TaxEditor size by cleaning up dependencies and making taxeditor.webapp plugin optional added

#3 - 08/13/2020 04:30 PM - Andreas Miiller

- Related to task #9119: Remove schema create and schema update functionality from datsource view added

#4 - 08/14/2020 11:48 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#5 - 08/19/2020 08:46 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.18

#6 - 08/24/2020 12:25 PM - Andreas Miiller
- Related to feature request #9190: Make taxeditor.local a loadable plugin not installed by default added

#7 - 08/24/2020 12:25 PM - Andreas Miiller
- Related to feature request #9204: Update cdmlib and taxeditor dependencies added

#8 - 08/24/2020 12:31 PM - Andreas Miiller
- Priority changed from New to Highest

#9 - 08/26/2020 02:47 PM - Katja Luther
- Description updated

- Status changed from New to In Progress

#10 - 09/25/2020 10:17 AM - Katja Luther

- Status changed from In Progress to Resolved

#11 - 11/17/2020 09:07 AM - Andreas Miiller

Is this for review?

#12 - 11/30/2020 12:02 PM - Katja Luther

yes, please check whether everything still works.

#13 - 11/30/2020 12:03 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 60

#14 - 12/01/2020 11:12 AM - Andreas Miiller
- File picture929-1.png added

Title translations are missing:

[E patasource 2

M. MLS missing mesfage: CdmDataS...  MLS missing ... NLS .. MLS missi
0 postgres_edaphobasell_new 130.133.70.26 Yes PostgreSC

#15 - 12/01/2020 11:14 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
The "New" button is missing.

#16 - 12/01/2020 11:17 AM - Andreas Miiller

The finish button does not seem to work anymore (when using clone).
#17 - 12/01/2020 11:20 AM - Katja Luther
Andreas Muller wrote:

The "New" button is missing.

Shouldn't the new button should be removed in #91197?

#18 - 12/01/2020 11:26 AM - Andreas Miiller

Entering a name (or other information) now is very fast. It was slow before because | think there was always done some duplication check after each
key stroke. It is good that it is faster now but | am afraid some functionality got lost.

#19 - 12/01/2020 11:37 AM - Andreas Miiller
Katja Luther wrote:
Andreas Muller wrote:

The "New" button is missing.
Shouldn't the new button should be removed in #91197?

#9119 is about schema create and update, not about create new datasource.
Also it was closed in 5.17 but in 5.17 the New button still existed.

#20 - 12/01/2020 11:49 AM - Katja Luther
Andreas Muller wrote:
Entering a name (or other information) now is very fast. It was slow before because | think there was always done some duplication check after

each key stroke. It is good that it is faster now but | am afraid some functionality got lost.

if a database with same name already exist, you get a message and it is not possible to finish

#21 - 12/01/2020 11:50 AM - Katja Luther
Andreas Muller wrote:

Katja Luther wrote:

Andreas Mller wrote:
The "New" button is missing.

Shouldn't the new button should be removed in #91197?

#9119 is about schema create and update, not about create new datasource.
Also it was closed in 5.17 but in 5.17 the New button still existed.

sorry, | added the menu item again.
#22 - 12/01/2020 12:00 PM - Katja Luther
Andreas Miller wrote:
The finish button does not seem to work anymore (when using clone).

This is caused by java.lang.NoClassDefFoundError: com/mchange/v2/ser/Indirector, this is only the case for mysgl databases, for h2 it works as
expected.

#23 - 12/01/2020 12:55 PM - Andreas Miiller
Katja Luther wrote:
Andreas Muller wrote:
The finish button does not seem to work anymore (when using clone).

This is caused by java.lang.NoClassDefFoundError: com/mchange/v2/ser/Indirector, this is only the case for mysgl databases, for h2 it works as
expected.

Looks like mchange-commons-java is missing (

https://stackoverflow.com/questions/28977313/caused-byjava-lang-noclassdefrounderrorcom-mchange-v2-ser-indirector). | will try to fix this in

dependencies.
#24 - 12/01/2020 02:31 PM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
The finish button does not seem to work anymore (when using clone).

This is caused by java.lang.NoClassDefFoundError: com/mchange/v2/ser/Indirector, this is only the case for mysgl databases, for h2 it works as
expected.

The dependency mchange-commons-java which includes com/mchange/v2/ser/Indirector definetely exists for taxeditor.local. Can you please check
the stacktrace which class loader tries to use it. So can you provide the full stack trace.
Also the question is why the exception is swallowed. Shouldn't it be thrown?
#25 - 12/01/2020 02:42 PM - Katja Luther
Andreas Miller wrote:
Katja Luther wrote:
Andreas Miiller wrote:
The finish button does not seem to work anymore (when using clone).

This is caused by java.lang.NoClassDefFoundError: com/mchange/v2/ser/Indirector, this is only the case for mysql databases, for h2 it
works as expected.

The dependency mchange-commons-java which includes com/mchange/v2/ser/Indirector definetely exists for taxeditor.local. Can you please
check the stacktrace which class loader tries to use it. So can you provide the full stack trace.
Also the question is why the exception is swallowed. Shouldn't it be thrown?
The exception is catched in rcp code (Window.class), there is no stacktrace but the detail message is: "com.mchange.v2.ser.Indirector cannot be
found by eu.etaxonomy.taxeditor.cdmlib_5.18.0.qualifier"
and the classLoader is EquinoxClassLoader
#26 - 12/01/2020 04:43 PM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:

Katja Luther wrote:
and the classLoader is EquinoxClassLoader

Equinox is probably the Classloader for all. What | meant is, to wich module does it belong, taxeditor.local, taxeditor.cdmlib or even another (do |
understand correctly that each model has its own classloader?

#27 - 12/02/2020 02:42 PM - Andreas Miiller
Katja Luther wrote:
Andreas Muller wrote:
Katja Luther wrote:
Andreas Miiller wrote:
The "New" button is missing.

sorry, | added the menu item again.

done

#28 - 12/02/2020 05:17 PM - Andreas Miiller

- Subject changed from Move datasource view to taxeditor.webapp to Move datasource view to taxeditor.local

#29 - 12/03/2020 05:21 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 60 to 100

This works now but there are still open issues to solve before all cdmlib-db stuff can fully migrate to taxeditor.local. Handled in #9341

Files

picture929-1.png 3.75 KB 12/01/2020 Andreas Miller
